import { MAX_COLOR_RGB, MAX_COLOR_ALPHA } from './consts.js';
import { clamp } from './clamp.js';

function correctRGB(color) {
  return {
    r: clamp(color.r, MAX_COLOR_RGB),
    g: clamp(color.g, MAX_COLOR_RGB),
    b: clamp(color.b, MAX_COLOR_RGB),
    a: typeof color.a === "number" ? clamp(color.a, MAX_COLOR_ALPHA) : color.a
  };
}

export { correctRGB };
